html, body {
  margin:0;
  height:100%;
  overflow:hidden;
  background:black;
}

#map, #game {
  position:absolute;
  inset:0;
}

#menu {
  position:absolute;
  top:10px;
  left:10px;
  width:220px;
  background:rgba(0,0,0,0.7);
  color:#00eaff;
  font-family:system-ui;
  padding:12px;
  border-radius:10px;
  z-index:10;
}

#menu input {
  width:100%;
}

#menu button {
  width:100%;
  margin-top:6px;
}